%define upstream_name       IPC-SharedCache
%define upstream_version    1.3

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 7
Summary:    Manage a cache in SysV IPC shared memory
License:	GPL or Artistic
Group:		Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source:     http://www.cpan.org/modules/by-module/IPC/%{upstream_name}-%{upstream_version}.tar.gz
Patch:      0001-Wrap-IPC-ShareLite-new-calls-inside-eval-block.patch 
BuildRequires:	perl-IPC-ShareLite
BuildArch:	noarch


%description
This module provides a shared memory cache accessed as a tied hash.

%prep
%setup -q -n %{upstream_name}-%{upstream_version} 
%patch -p 1

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
make test

%install
%makeinstall_std

%files
%doc Changes README LICENSE ANNOUNCE
%{perl_vendorlib}/IPC
%{_mandir}/*/*

%changelog
* Sun Jun 19 2016 pterjan <pterjan> 1.300.0-7.mga6
+ Revision: 1028804
- Rebuild for perl 5.22.2

* Fri Feb 05 2016 umeabot <umeabot> 1.300.0-6.mga6
+ Revision: 938677
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.300.0-5.mga5
+ Revision: 741419
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.300.0-4.mga5
+ Revision: 685106
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 1.300.0-3.mga4
+ Revision: 512393
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 1.300.0-2.mga3
+ Revision: 368647
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Jan 22 2011 jquelin <jquelin> 1.300.0-1.mga1
+ Revision: 32104
- mageia rebuild
- imported package perl-IPC-SharedCache


* Sun Sep 13 2009 Guillaume Rousse <guillomovitch@mandriva.org> 1.300.0-1mdv2010.0
+ Revision: 438672
- use new perl_version macro
- fix API change in IPC::Sharelite (RT patch)

  + Thierry Vignaud <tv@mandriva.org>
    - rebuild

* Thu Jul 31 2008 Thierry Vignaud <tv@mandriva.org> 1.3-5mdv2009.0
+ Revision: 257373
- rebuild

* Thu Jul 24 2008 Thierry Vignaud <tv@mandriva.org> 1.3-4mdv2009.0
+ Revision: 245404
- rebuild

* Thu Dec 20 2007 Olivier Blin <oblin@mandriva.com> 1.3-2mdv2008.1
+ Revision: 135856
- restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Sat Sep 15 2007 Guillaume Rousse <guillomovitch@mandriva.org> 1.3-2mdv2008.0
+ Revision: 86512
- rebuild


* Wed Sep 13 2006 Oden Eriksson <oeriksson@mandriva.com> 1.3-1mdv2007.0
- rebuild

* Thu Jul 14 2005 Oden Eriksson <oeriksson@mandriva.com> 1.3-1mdk
- initial Mandriva package

